Show / Hide Table of Contents

# Struct AgentInspect

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentInspect

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### ChocoboBarding1

##### Declaration

    public Utf8String ChocoboBarding1

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### ChocoboBarding2

##### Declaration

    public Utf8String ChocoboBarding2

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### ChocoboBarding3

##### Declaration

    public Utf8String ChocoboBarding3

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CurrentObjectID

##### Declaration

    public uint CurrentObjectID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FetchCharacterDataStatus

##### Declaration

    public uint FetchCharacterDataStatus

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FetchFreeCompanyStatus

##### Declaration

    public uint FetchFreeCompanyStatus

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FetchSearchCommentStatus

##### Declaration

    public uint FetchSearchCommentStatus

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FreeCompany

##### Declaration

    public AgentInspect.FreeCompanyData FreeCompany

##### Field Value

Type | Description
--- | ---
AgentInspect.FreeCompanyData |

| Improve this Doc View Source

#### Items

##### Declaration

    public byte *Items

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### PsnName

##### Declaration

    public Utf8String PsnName

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### RequestFreeCompanyOID

##### Declaration

    public uint RequestFreeCompanyOID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RequestObjectID

##### Declaration

    public uint RequestObjectID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RequestSearchCommentOID

##### Declaration

    public uint RequestSearchCommentOID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SearchComment

##### Declaration

    public Utf8String SearchComment

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Unknown4b0

##### Declaration

    public byte Unknown4b0

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UnkObj536

##### Declaration

    public short UnkObj536

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### UnkObj544

##### Declaration

    public uint UnkObj544

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UnkObj548

##### Declaration

    public void *UnkObj548

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### UnkObj550

##### Declaration

    public uint UnkObj550

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UnkString1

##### Declaration

    public Utf8String UnkString1

##### Field Value

Type | Description
--- | ---
Utf8String |

### Methods

| Improve this Doc View Source

#### ExamineCharacter(UInt32)

##### Declaration

    public void ExamineCharacter(uint objectID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | objectID |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentInspect*Instance()

##### Returns

Type | Description
--- | ---
AgentInspect* |